<?php

	include_once(__DIR__."/../../core.php");

	$iddocumento = $html->form('iddocumento');
	$id_progressivo = $html->form('id_progressivo');
	

	$module_name=query_secca("","name","zz_modules","where id ='".$_SESSION['id_module']."'");
	
	
	// Info stato numero porgressivo
	$rs = $dbo->fetchArray("select *  from co_documenti_progressivo WHERE id='".$id_progressivo."'");	
	$stato_invio = $rs[0]['inviato'];
	$orario	= date( "H:i", strtotime($rs[0]['data_invio']) );
	
	$rs = $dbo->fetchArray("select descrizione  from co_xml_invio WHERE id='".$stato_invio."'");	
	$stato_descrizione = $rs[0]['descrizione'];
	
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$iddocumento."\" method=\"post\">\n";
	echo "	<input type='hidden' name='op' value='edit_stato_invio_xml'>\n";
	echo "	<input type='hidden' name='id_progressivo' value='".$id_progressivo."'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";

	$rs = $dbo->fetchArray("select id as idintervento , descrizione from co_xml_invio");	
	$n2 = sizeof($rs);
	
	//Seleziona stato invio 
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Seleziona stato invio</label>\n";	
	if( ($n2) == 0 ){
		echo "				... Non ci sono tipologie di invio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idintervento\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idintervento\" name=\"idintervento\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";	
		echo "					<option value='".$stato_invio."'>$stato_descrizione</option>\n";	
		for( $i=0;$i<$n2;$i++ ){					
			echo "				<option value=\"".$rs[$i]['idintervento']."\"  >".$rs[$i]['descrizione']." </option>\n";
		}		
		echo "				</optgroup>\n";
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	
	echo "		<div class='col-md-3'>\n";	
		echo "				<label>Data </label>\n";	
		echo "		<div class='form-group'>\n";				
		echo "			<input type='text' class='form-control  datepicker text-center '  id='data_i' name='data_invio_xml' required=\"true\" value=\"".date("d")."/".date("m")."/".date("Y")."\">\n";												
		echo "		</div>\n";
	echo "	</div>\n";
	echo "		<div class='col-md-3'>\n";	
		echo "		<label>Orario </label>\n";	
		echo "		<div class='form-group'>\n";				
			echo "			<input type='text' class='form-control timepicker text-center'  id='orario' name='orario' required=\"true\" value=\"".$orario."\">\n";							
		echo "		</div>\n";
	echo "	</div>\n";	
	

	?>


	<script type="text/javascript">
		
		$('.datepicker').datepicker();
		$('.timepicker').timepicker()
		
		function addriga(){
			if( $('#descrizione').val()!=''  ){
				$("#link_form").submit();
			}
		}
	</script>
	<script src="<?php echo $rootdir; ?>/lib/init.js"></script>


	<?php
	echo "	<a onclick=\"addriga();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-plus\"></i> Aggiorna</a>\n";
	echo "</form>\n";

	?>

	<div class="clearfix"></div>
